Get Member Points - Fabric
Get Member Points
cURL
curl --request GET \
--url https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/{profileId}/member-points \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/{profileId}/member-points"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/{profileId}/member-points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Examples
Successful Response (200)
{
"status": 200,
"message": "",
"errors": {},
"data": [
{
"totalPoints": 300,
"pointsByType": [
{
"pointType": "Base",
"points": 300,
"subType": null
}
],
"pointsBalance": {
"memberPointsEarned": 600,
"memberPointsDeducted": 100,
"memberPointsUsed": 100,
"memberPointsExpired": 100,
"memberPointsAvailable": 300,
"memberPointsLocked": 100
},
"breakdown": {
"totalPoints": 300,
"totalCurrencyValue": 150,
"unrestrictedPoints": {
"totalCurrencyValue": 100,
"totalPoints": 200,
"unrestrictedPointsItems": [
{
"points": 200,
"pointType": "Base"
}
]
},
"restrictedPoints": {
"totalPoints": 100,
"totalCurrencyValue": 50,
"restrictedPointsItems": [
{
"points": 100,
"pointType": "Base",
"restrictedLocation": "4321"
}
]
}
}
}
]
}
Error Response (400)
{
"message": "Error message string",
"errors": {
"ExceptionString": [
"Invalid Field"
]
},
"data": null,
"status": 400
}
Authentication Failed (401)
{
"detail": "Authentication Failed"
}
Authorizations
- Authorization: Required. A string in the header of the form
Bearer <token>.
Path Parameters
- profileId: Required string. Profile ID generated in the response of the
Enroll Member endpoint - POST /v1/members.
Response Details
- status: Status of the call (integer). Example:
200
- message: Corresponding message (string). Example:
""
- errors: Details of errors if applicable (object). Example:
{}
- data: Response data (array of objects).